import DataLoader from 'dataloader';
import { AdminContextProvider } from '../../admin-context/providers/admin-context.provider.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IDeleteBankAccountParams, IGetAllFinancialBankAccountsResult, IInsertBankAccountsParams, IUpdateBankAccountParams } from '../types.js';
export declare class FinancialBankAccountsProvider {
    private db;
    private adminContextProvider;
    constructor(db: TenantAwareDBClient, adminContextProvider: AdminContextProvider);
    private batchFinancialBankAccountsByIds;
    getFinancialBankAccountByIdLoader: DataLoader<string, import("../types.js").IGetFinancialBankAccountsByIdsResult | undefined, string>;
    private allFinancialBankAccountsCache;
    getAllFinancialBankAccounts(): Promise<IGetAllFinancialBankAccountsResult[]>;
    updateBankAccount(params: IUpdateBankAccountParams): Promise<import("../types.js").IUpdateBankAccountResult>;
    deleteBankAccount(params: IDeleteBankAccountParams): Promise<import("../types.js").IDeleteBankAccountResult[]>;
    insertBankAccounts(params: IInsertBankAccountsParams): Promise<import("../types.js").IInsertBankAccountsResult[]>;
    invalidateById(bankAccountId: string): void;
    clearCache(): void;
}
